<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>AutoComplete Test</title>
    <style type="text/css">
        * {font-family: verdana;}
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <atlas:ScriptManager runat="server" ID="scriptManager" />
        
        Client Side Control:<br />
        <input id="clientTextBox" type="text" style="width: 400px;" /><br /><br />
        
        Server Side Control:<br />
        <asp:TextBox ID="serverTextbox" runat="server" Width="400px" />
        <atlas:AutoCompleteExtender ID="serverCompleteExtender" runat="server">
            <atlas:AutoCompleteProperties Enabled="true" MinimumPrefixLength="2" TargetControlID="serverTextbox"
                ServiceMethod="GetWordList" ServicePath="AutoCompleteService.asmx" />
        </atlas:AutoCompleteExtender>
    </form>

    <script type="text/xml-script">
     <page xmlns:script="http://schemas.microsoft.com/xml-script/2005">
       <components>
           <textBox id="clientTextBox">
               <behaviors>
                   <autoComplete 
                      serviceURL="AutoCompleteService.asmx"
                      serviceMethod="GetWordList"
                      minimumPrefixLength="2"
                      completionSetCount="10"
                      completionInterval="500" />
               </behaviors>
           </textBox>
       </components>
     </page>
    </script>

</body>
</html>
